PCRE2_SET_RECURSION_MEMORY_MANAGEMENT(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

int pcre2_set_recursion_memory_management(
  pcre2_match_context *mcontext,
  void *(*private_malloc)(size_t, void *),
  void (*private_free)(void *, void *), void *memory_data);

DESCRIPTION

From release 10.30 onwards, this function is obsolete and does nothing. The result is always zero.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.